diff a/src/hotspot/share/interpreter/zero/zeroInterpreterGenerator.cpp b/src/hotspot/share/interpreter/zero/zeroInterpreterGenerator.cpp
--- a/src/hotspot/share/interpreter/zero/zeroInterpreterGenerator.cpp
+++ b/src/hotspot/share/interpreter/zero/zeroInterpreterGenerator.cpp
@@ -119,16 +119,16 @@
 
   // We expect the normal and native entry points to be generated first so we can reuse them.
   if (native) {
     entry_point = Interpreter::entry_for_kind(synchronized ? Interpreter::native_synchronized : Interpreter::native);
     if (entry_point == nullptr) {
-      entry_point = generate_native_entry(synchronized);
+      entry_point = generate_native_entry(synchronized, false);
     }
   } else {
     entry_point = Interpreter::entry_for_kind(synchronized ? Interpreter::zerolocals_synchronized : Interpreter::zerolocals);
     if (entry_point == nullptr) {
-      entry_point = generate_normal_entry(synchronized);
+      entry_point = generate_normal_entry(synchronized, false);
     }
   }
 
   return entry_point;
 }
@@ -174,12 +174,12 @@
 
 address ZeroInterpreterGenerator::generate_Reference_get_entry(void) {
   return generate_entry((address) ZeroInterpreter::Reference_get_entry);
 }
 
-address ZeroInterpreterGenerator::generate_native_entry(bool synchronized) {
+address ZeroInterpreterGenerator::generate_native_entry(bool synchronized, bool runtime_upcalls) {
   return generate_entry((address) ZeroInterpreter::native_entry);
 }
 
-address ZeroInterpreterGenerator::generate_normal_entry(bool synchronized) {
+address ZeroInterpreterGenerator::generate_normal_entry(bool synchronized, bool runtime_upcalls) {
   return generate_entry((address) ZeroInterpreter::normal_entry);
 }
